package cz.moneta.test.dsl.auto.smartauto.setman;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.smartauto.SmartAutoSetmanEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class SmartAutoSetman {

    private final Harness harness;

    public SmartAutoSetman(Harness harness) {
        this.harness = harness;
    }

    public LoginPage openLoginPage() {
        SmartAutoSetmanEndpoint smartAutoSetmanEndpoint = harness.getEndpoint(SmartAutoSetmanEndpoint.class);
        smartAutoSetmanEndpoint.openApplication();
        return Builders.newWebFlowBuilder(LoginPage.class, smartAutoSetmanEndpoint, harness);
    }
}